#!/bin/sh

set -e

. /usr/share/debconf/confmodule

db_get slbackup-php/use-ssl || true

if [ "$RET" = "true" ]; then
	if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
		. /usr/share/apache2/apache2-maintscript-helper
		apache2_invoke enmod rewrite || exit $?
	fi
fi

mkdir -p /var/spool/slbackup-php

if [ -d /var/spool/slbackup-php ]; then
	chown www-data:www-data /var/spool/slbackup-php/
fi

db_stop

if [ "$1" = "configure" ] ; then

	CONF="slbackup-php"
	COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)

	if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
		. /usr/share/apache2/apache2-maintscript-helper
		apache2_invoke enconf $CONF || exit $?
	elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
		if [ -d /etc/apache2/conf.d/ -a ! -L /etc/apache2/conf.d/$CONF.conf ]; then
			ln -s ../conf-available/$CONF.conf /etc/apache2/conf.d/$CONF.conf
		fi
	fi

fi

#DEBHELPER#
